GET /profiles

Profiles (groups of accounts, e.g. one per brand or client), default first

GET
/profiles

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

name?string

Exact name

externalId?string

Exact externalId

limit?integer

Maximum items (default 100, max 100)

Range1 <= value <= 100
Default100
skip?integer

Offset

Response Body

{profiles, total?, skip?, limit?}

application/json
  1. response
profiles?array<>
total?integer
skip?integer
limit?integer
Example Request
curl -X GET 'https://example.com/api/v1/profiles'
Example Response
{  "profiles": [    {      "id": "string",      "name": "string",      "description": "string",      "color": "string",      "timezone": "string",      "externalId": "string",      "isDefault": true,      "accountCount": 0,      "createdAt": "string",      "updatedAt": "string"    }  ],  "total": 0,  "skip": 0,  "limit": 0}